The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

22.09.2016 11:20  Выпуск пакетного менеджера Apt 1.3

Подготовлен релиз инструментария для управления пакетами Apt 1.3 (Advanced Package Tool), развиваемого проектом Debian. Кроме Debian и производных от него дистрибутивов Apt также применяется в некоторых дистрибутивах на основе пакетного менеджера rpm, таких как PCLinuxOS и ALT Linux. Новый выпуск уже интегрирован в ветку Debian Unstable.

Из изменений можно отметить:

  • Добавлена поддержка сборки с использованием CMake;
  • Возможность работы через прокси Socks 5 и анонимную сеть Tor;
  • Оптимизирован порядок сортировки пакетов в процессе установки (вместо отдельных вызовов, dpkg запускается в рекурсивном режиме "--unpack --recursive");
  • Поддержка 64-разрядных слепков ключей и цифровых подписей (32-разрядные слепки уже не подходят для идентификации из-за большой вероятности коллизий);
  • Улучшена переносимость с FreeBSD, тестовый набор теперь успешно проходит все проверки на данной платформе;
  • По умолчанию вызов dpkg теперь осуществляется в режиме "--no-triggers";
  • Добавлена поддержка протоколов EDSP и EIPP, предназначенных для взаимодействия с внешними обработчиками зависимостей;
  • Не защищённые должным образом репозитории теперь помечаются как репозитории без аутентификации и по умолчанию блокируются (в конфигурации требуется явное разрешение для работы с ними);
  • В sources.list в блок "allow" добавлены новые опции управления доступом "insecure" и "weak";
  • Обновлены переводы на русский язык;
  • Возможность указания нескольких цифровых подписей в блоке Signed-By. Поддержка блока Signed-By в файлах Release;
  • Gnupg/gnupg2 перенесены из зависимостей в разряд необязательных рекомендаций.


  1. Главная ссылка к новости (https://packages.qa.debian.org...)
  2. OpenNews: Выпуск пакетного менеджера Apt 1.2
  3. OpenNews: Выпуск пакетного менеджера Apt 1.1
  4. OpenNews: В пакетном менеджере APT выявлена новая уязвимость
  5. OpenNews: Уязвимость в пакетном менеджере APT, позволяющая обойти проверку пакетов
  6. OpenNews: Релиз пакетного менеджера Apt 1.0
Лицензия: CC-BY
Тип: Программы
Ключевые слова: apt, debian
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.1, Аноним (-), 11:27, 22/09/2016 [ответить] [показать ветку] [···]    [к модератору]
  • –3 +/
    > Gnupg/gnupg2 перенесены из зависимостей в разряд необязательных рекомендаций

    Слава тебе Господи !

     
     
  • 2.2, злой анон (?), 11:29, 22/09/2016 [^] [ответить]    [к модератору]
  • +/
    В чём была проблема?
     
     
  • 3.4, Аноним (-), 11:32, 22/09/2016 [^] [ответить]    [к модератору]
  • +2 +/
    В необходимости?
     
  • 3.6, A.Stahl (ok), 12:03, 22/09/2016 [^] [ответить]    [к модератору]
  • +18 +/
    В недостаточной славе Господа.
     
     
  • 4.9, ryoken (ok), 12:11, 22/09/2016 [^] [ответить]    [к модератору]
  • +/
    > В недостаточной славе Господа.

    "Ad majorem Dei gloriam"? (иезуиты?)

     
     
  • 5.35, Аноним (35), 14:55, 24/09/2016 [^] [ответить]    [к модератору]  
  • +1 +/
    хуже, масоны.
    per Apt ad astra.
     
  • 3.28, Аноним (-), 16:56, 22/09/2016 [^] [ответить]     [к модератору]  
  • +2 +/
    Строишь образ для ембеддед системы на основе старого доброго дебиана, а тебе еще... весь текст скрыт [показать]
     
  • 2.16, freehck (ok), 14:00, 22/09/2016 [^] [ответить]    [к модератору]  
  • +/
    >> Gnupg/gnupg2 перенесены из зависимостей в разряд необязательных рекомендаций

    Кстати, а почему? Теперь можно использовать что-то вместо gnupg2?
    И что такое "необязательная рекоммендация"? Это Recommends или Suggests?

     
     
  • 3.17, freehck (ok), 14:04, 22/09/2016 [^] [ответить]    [к модератору]  
  • +2 +/
    Отвечу сам себе: Recommends. Теперь есть выбор между gnupg1 и gnupg2. По умолчанию будет ствииться gnupg2, как и прежде. Но есть также возможность заменить его первой версией.
     
     
  • 4.21, freehck (ok), 15:24, 22/09/2016 [^] [ответить]    [к модератору]  
  • +4 +/
    Даже более того: понятно, почему так сделали. В списке зависимостей теперь есть gpgv - верификация в отдельной утилите.
     
  • 1.3, ryoken (ok), 11:31, 22/09/2016 [ответить] [показать ветку] [···]    [к модератору]  
  • –2 +/
    > Возможность работы через прокси Socks 5 и анонимную сеть Tor;

    В смысле щас будет по дефолту тащить пакет apt-transport-tor?

    Кстати, а кто в курсе, cupt ещё пилят или оно уже всё, приехало? Решалка зависимостей там декларировалась матёрая, но обновлений давно не приезжало (Sid).

     
     
  • 2.10, бедный буратино (ok), 12:11, 22/09/2016 [^] [ответить]    [к модератору]  
  • –1 +/
    > В смысле щас будет по дефолту тащить пакет apt-transport-tor?

    нет, зачем?

     
  • 2.18, marks (?), 15:01, 22/09/2016 [^] [ответить]    [к модератору]  
  • –1 +/
    Перенесен функционал в бинарник
     
  • 1.5, Аноним (-), 11:34, 22/09/2016 [ответить] [показать ветку] [···]    [к модератору]  
  • –5 +/
    > Обновлены переводы на русский язык;

    Лучше бы только на англ. работал, от греха )

     
     
  • 2.7, A.Stahl (ok), 12:04, 22/09/2016 [^] [ответить]    [к модератору]  
  • +/
    > Лучше бы только на англ. работал, от греха )

    Использование русского языка уже занесли в список грехов? Впрочем, что-то в этом есть...

     
     
  • 3.11, Аноним (-), 12:54, 22/09/2016 [^] [ответить]     [к модератору]  
  • +1 +/
    Подход к переводу всех сообщений системы не всегда удобен Иногда не понятна... весь текст скрыт [показать]
     
     
  • 4.14, A.Stahl (ok), 13:58, 22/09/2016 [^] [ответить]    [к модератору]  
  • +2 +/
    >Иногда не понятна суть после перевода.

    В этом виноват не перевод, а переводчик.

     
  • 1.8, бедный буратино (ok), 12:10, 22/09/2016 [ответить] [показать ветку] [···]    [к модератору]  
  • –2 +/
    йопт!

    ещё, смотрю, и aptitude ожило. не сказал, что стало лучше, чем было, но брокензависимости видит лучше, чем было...

     
     
  • 2.12, Аноним (-), 12:55, 22/09/2016 [^] [ответить]    [к модератору]  
  • +2 +/
    > йопт!
    > ещё, смотрю, и aptitude ожило. не сказал, что стало лучше, чем было,
    > но брокензависимости видит лучше, чем было...

    "Как вы их умудряетесь получать?" ;)

     
     
  • 3.22, бедный буратино (ok), 16:07, 22/09/2016 [^] [ответить]    [к модератору]  
  • –2 +/
    > "Как вы их умудряетесь получать?" ;)

    ну, например, подключил ты бэкпорты, с дефолтным пиннингом. нажимаешь в aptitude плюсик, а у тебя есть пакеты из тех же бэкпортов, которые зависимы - так старый aptitude в жизни не догадается их смешать, будет висеть "сломано", и можно либо перебором, либо, что гораздо проще, вручную расставить плюсики на тех версиях, которые нужны

     
     
  • 4.23, Аноним (-), 16:12, 22/09/2016 [^] [ответить]     [к модератору]  
  • +/
    Я понял как сломанные уже по установленным пакетам, по устанавливаемым да есть т... весь текст скрыт [показать]
     
  • 4.33, freehck (ok), 11:59, 23/09/2016 [^] [ответить]    [к модератору]  
  • +/
    >> "Как вы их умудряетесь получать?" ;)
    > ну, например, подключил ты бэкпорты, с дефолтным
    > пиннингом. нажимаешь в aptitude плюсик, а у тебя есть пакеты из тех
    > же бэкпортов, которые зависимы - так старый aptitude в жизни не
    > догадается их смешать, будет висеть "сломано", и можно либо
    > перебором, либо, что гораздо проще, вручную расставить плюсики на
    > тех версиях, которые нужны

    Это потому, что репозиторию надо либо приоритет выставить, либо при
    установке указывать релиз посредством флага -t.

     
  • 2.26, Аноним (-), 16:25, 22/09/2016 [^] [ответить]    [к модератору]  
  • +/
    нафига вам aptitude когда apt уже довольно нормально допилили?
     
     
  • 3.34, аноном (?), 14:21, 23/09/2016 [^] [ответить]    [к модератору]  
  • +/
    Он умеет user-tag?
     
  • 1.19, Аноним (-), 15:17, 22/09/2016 [ответить] [показать ветку] [···]    [к модератору]  
  • –1 +/
    А когда добавят транзакции при установке обновлении пакетов?
     
  • 1.20, Аноним (-), 15:22, 22/09/2016 [ответить] [показать ветку] [···]    [к модератору]  
  • –2 +/
    У aptitude есть хороший флаг - R, который не тянет лишние зависимости при установке. Если бы это завезли в апт, было хорошо.
     
     
  • 2.24, SergeyD (??), 16:20, 22/09/2016 [^] [ответить]    [к модератору]  
  • +1 +/
    Есть такой флаг, --no-install-recommends
     
     
  • 3.27, Интересующийся (??), 16:25, 22/09/2016 [^] [ответить]    [к модератору]  
  • +/
    Опередил ))
     
  • 2.25, Интересующийся (??), 16:24, 22/09/2016 [^] [ответить]    [к модератору]  
  • +2 +/
    А использовать --no-install-recommends?
     
  • 2.29, Аноним (-), 17:00, 22/09/2016 [^] [ответить]    [к модератору]  
  • +3 +/
    Лучше добавить APT::Install-Recommends 0; в /etc/apt/apt.conf и забыть про эту идиотию раз и навсегда.
     
     
  • 3.31, ryoken (ok), 06:50, 23/09/2016 [^] [ответить]    [к модератору]  
  • –1 +/
    > Лучше добавить APT::Install-Recommends 0; в /etc/apt/apt.conf и забыть про эту идиотию
    > раз и навсегда.

    ПОдскажите, где можно почитать, что там ещё настраивается? Конфиг архиполезнейший.

     
     
  • 4.32, Аноним (-), 10:06, 23/09/2016 [^] [ответить]    [к модератору]  
  • +1 +/
    > ПОдскажите, где можно почитать, что там ещё настраивается? Конфиг архиполезнейший.

    попробуй man apt.conf

     
  • 4.36, Аноним (-), 13:32, 25/09/2016 [^] [ответить]    [к модератору]  
  • +/
    APT::Install-Recommends "0";
    APT::Install-Suggests "0";
    APT::AutoRemove::RecommendsImportant "false";
    APT::AutoRemove::SuggestsImportant "false";
     
  • 1.37, Аноним (-), 19:00, 26/09/2016 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    > и анонимную сеть Tor

    А чего "sudo torsocks apt" уже не работает?

     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor